Package org.drinkless.tdlib

# Class TdApi.FoundAffiliatePrograms

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundAffiliatePrograms

Enclosing class:
  `TdApi`

public static class TdApi.FoundAffiliatePrograms extends TdApi.Object
Represents a list of found affiliate programs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.FoundAffiliateProgram[]`
  `programs`
  The list of affiliate programs.
  `int`
  `totalCount`
  The total number of found affiliate programs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundAffiliatePrograms()`
  Represents a list of found affiliate programs.
  `FoundAffiliatePrograms(int totalCount, TdApi.FoundAffiliateProgram[] programs, String nextOffset)`
  Represents a list of found affiliate programs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    The total number of found affiliate programs.

  - ### programs

    public TdApi.FoundAffiliateProgram[] programs
    The list of affiliate programs.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundAffiliatePrograms

    public FoundAffiliatePrograms()
    Represents a list of found affiliate programs.

  - ### FoundAffiliatePrograms

    public FoundAffiliatePrograms(int totalCount, TdApi.FoundAffiliateProgram[] programs, String nextOffset)
    Represents a list of found affiliate programs.
    Parameters:
      `totalCount` - The total number of found affiliate programs.
      `programs` - The list of affiliate programs.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR